<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Description: Template voor de weergave van entry Medische gegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.10">
   <title>entry Medische gegevens</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]
Item: (Entry_Medische_gegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]"
         id="tmp-9c4f222b-a44d-4103-9996-ebcd7d5a3313">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(Entry_Medische_gegevens): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:observation)&lt;=1">(Entry_Medische_gegevens): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation
Item: (Entry_Medische_gegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation"
         id="tmp-b381a5fc-e245-4659-877e-ca61e4046816">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@classCode='OBS'">(Entry_Medische_gegevens): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@moodCode='EVN'">(Entry_Medische_gegevens): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']/@nullFlavor)">(Entry_Medische_gegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10'])&lt;=1">(Entry_Medische_gegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:code)&lt;=1">(Entry_Medische_gegevens): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11']]])&gt;=1 and not(hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11']]]/@nullFlavor)">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11']]])&lt;=1">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.13']]])&lt;=1">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]])&gt;=1 ">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]])&lt;=1">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.25']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.25']]]/@nullFlavor)">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.25']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.25']]])&lt;=1">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.25']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']
Item: (Entry_Medische_gegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']"
         id="tmp-0b5aa53b-2112-4999-933b-51d73ccc95ce">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Entry_Medische_gegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.10'">(Entry_Medische_gegevens): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.10' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Entry_Medische_gegevens): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:code
Item: (Entry_Medische_gegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:code"
         id="tmp-010391b1-8f1f-488d-9865-bb6f84c883f7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Entry_Medische_gegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@nullFlavor or (@code='371529009' and @codeSystem='2.16.840.1.113883.6.96')">(Entry_Medische_gegevens): de waarde van @code/@codeSystem MOET ''371529009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11']]]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11']]]"
         id="tmp-a7bd6f08-78eb-4870-b12e-33264aac6832">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@typeCode='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.13']]]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.13']]]"
         id="tmp-dbab1abc-d85f-4c0b-ad58-fc3541c99c5e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@typeCode='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']]]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']]]"
         id="tmp-286a6b69-e96e-4ffa-8112-140188d83c66">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@typeCode='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.17']]]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.17']]]"
         id="tmp-64e61b43-9003-457f-924f-1d6009a4a4fb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@typeCode='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']]]"
         id="tmp-50490651-46b5-4416-b2ac-914dc58c0b8c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@typeCode='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']]]"
         id="tmp-6e75b46c-e2d2-4257-903a-adaf9ae5d313">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@typeCode='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.25']]]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.25']]]"
         id="tmp-b60ac461-59f0-4668-920f-24193cee5c8d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.10.html"
              test="@typeCode='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>