<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Description: Template voor de weergave van dieet - Voeding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.112">
   <title>dieet</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]
Item: (dieet)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]"
         id="tmp-8aab744c-9f92-405b-92b1-894b4e599745">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(dieet): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="count(hl7:observation)&lt;=1">(dieet): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation
Item: (dieet)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation"
         id="tmp-16d52c19-a33e-4cab-926c-80778d041d6d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="@classCode='OBS'">(dieet): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="@moodCode='EVN'">(dieet): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(dieet): Als er géén dieet aanwezig is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:value">(dieet): Als er géén dieet aanwezig is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']/@nullFlavor)">(dieet): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112'])&lt;=1">(dieet): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(dieet): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="count(hl7:code)&lt;=1">(dieet): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="count(hl7:value)&lt;=1">(dieet): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']
Item: (dieet)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.112']"
         id="tmp-74e9014e-9b69-4bb8-96cc-0a9e280b19ef">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(dieet): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.112'">(dieet): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.112' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(dieet): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation/hl7:code
Item: (dieet)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation/hl7:code"
         id="tmp-bdf49324-fb2a-49cd-a41d-a8b45b744186">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(dieet): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="@nullFlavor or (@code='41829006' and @codeSystem='2.16.840.1.113883.6.96')">(dieet): de waarde van @code/@codeSystem MOET ''41829006' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation/hl7:value
Item: (dieet)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.112']]/hl7:observation/hl7:value"
         id="tmp-8a1f94db-c746-44ea-bc86-43d5028a919b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.112.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(dieet): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>