<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Description: Template voor de weergave van Voeding sonde
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.117">
   <title>sonde</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]
Item: (sonde)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]"
         id="tmp-bebf8ca1-4546-4b0e-89e5-5cff38906dbe">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(sonde): element hl7:supply is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:supply)&lt;=1">(sonde): element hl7:supply komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply
Item: (sonde)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply"
         id="tmp-798f1e1e-95e9-4807-8fb7-ba06380a81bb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@classCode='SPLY'">(sonde): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@moodCode='EVN'">(sonde): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.117']/@nullFlavor)">(sonde): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.117'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.117'])&lt;=1">(sonde): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.117'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(sonde): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:code)&lt;=1">(sonde): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:statusCode)&lt;=1">(sonde): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:effectiveTime)&lt;=1">(sonde): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(sonde): element hl7:product is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:product)&lt;=1">(sonde): element hl7:product komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.117']
Item: (sonde)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.117']"
         id="tmp-a0874f88-40f4-408a-8c96-75039e9440d6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.117'">(sonde): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.117' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(sonde): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:code
Item: (sonde)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:code"
         id="tmp-5bcaa866-867d-42b4-a587-a66b7cee2819">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@nullFlavor or (@code='25062003' and @codeSystem='2.16.840.1.113883.6.96')">(sonde): de waarde van @code/@codeSystem MOET ''25062003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:statusCode
Item: (sonde)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:statusCode"
         id="tmp-ea2ff0c1-d261-4333-8dc9-47d494defb55">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@nullFlavor or (@code='completed')">(sonde): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:effectiveTime
Item: (sonde)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:effectiveTime"
         id="tmp-b75c2b6b-5c05-4444-82e9-41b755577b5e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:product
Item: (sonde)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:product"
         id="tmp-911e46bc-b863-4418-858b-94cabf6a2c70">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(sonde): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(sonde): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:product/hl7:manufacturedProduct
Item: (sonde)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:product/hl7:manufacturedProduct"
         id="tmp-32b9e5a9-7f8a-4b76-937e-92642b64a9e8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@classCode='MANU'">(sonde): de waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(sonde): element hl7:manufacturedMaterial is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(sonde): element hl7:manufacturedMaterial komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]])&lt;=1">(sonde): element hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (sonde)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-b07278d7-9d83-4a6d-8292-416a9979159f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@classCode='MMAT'">(sonde): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(sonde): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="count(hl7:name)&lt;=1">(sonde): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name
Item: (sonde)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.117
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]
Item: (sonde)
-->
<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.117']]/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]"
         id="tmp-5f85cad8-831b-4f46-8e9b-b53c713cef95">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.117.html"
              test="@typeCode='SUBJ'">(sonde): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
</pattern>