<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Description: Template voor de weergave van vloeistof toe te dienen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.118">
   <title>vloeistof toe te dienen via sonde</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]"
         id="tmp-ce682ac0-35da-43a2-9e05-f8feca47e2a3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:substanceAdministration is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:substanceAdministration)&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:substanceAdministration komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration"
         id="tmp-96b94cb6-10c0-4a02-8654-997e8e463b56">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="@moodCode='EVN'">(vloeistof_toe_te_dienen_via_sonde): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="@classCode='SBADM'">(vloeistof_toe_te_dienen_via_sonde): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'])&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:code)&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:consumable)&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']"
         id="tmp-7e3e8903-26aa-43bf-8582-b3736576c849">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(vloeistof_toe_te_dienen_via_sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.118'">(vloeistof_toe_te_dienen_via_sonde): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.118' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(vloeistof_toe_te_dienen_via_sonde): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:code
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:code"
         id="tmp-f15217ed-37bb-4346-9921-2cc99d19a410">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(vloeistof_toe_te_dienen_via_sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="@nullFlavor or (@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')">(vloeistof_toe_te_dienen_via_sonde): de waarde van @code/@codeSystem MOET ''225748000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:consumable
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:consumable"
         id="tmp-6ccc6a06-8e8f-4dcc-80af-37d19b559219">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-b6f94aaa-69aa-4712-a78a-01c03e414c4d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:manufacturedLabeledDrug)&gt;=1 and not(hl7:manufacturedLabeledDrug/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedLabeledDrug is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:manufacturedLabeledDrug)&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedLabeledDrug komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug"
         id="tmp-5d33e83d-920f-4d40-92ce-50461382e751">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="@classCode='MMAT'">(vloeistof_toe_te_dienen_via_sonde): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(vloeistof_toe_te_dienen_via_sonde): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="count(hl7:name)&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:name
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:name"
         id="tmp-b0753310-5184-4165-96a6-18d5acd96049">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.118.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(vloeistof_toe_te_dienen_via_sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>