<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Description: Template voor de weergave van vloeistof toe te dienen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.122">
   <title>vloeistof toe te dienen via infuus</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]"
         id="tmp-540609ae-ad8a-4b05-9408-5179dbacef7c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:substanceAdministration is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:substanceAdministration)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:substanceAdministration komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration"
         id="tmp-91a3fe4e-e8f1-4d0b-b657-5ce94f43b9fd">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="@moodCode='EVN'">(vloeistof_toe_te_dienen_via_infuus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="@classCode='SBADM'">(vloeistof_toe_te_dienen_via_infuus): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:effectiveTime)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:doseQuantity)&gt;=1 and not(hl7:doseQuantity/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:doseQuantity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:doseQuantity)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:doseQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:rateQuantity)&gt;=1 and not(hl7:rateQuantity/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:rateQuantity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:rateQuantity)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:rateQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:consumable)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']"
         id="tmp-dc323640-c47c-41b0-ad77-cc178736cfb6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.122'">(vloeistof_toe_te_dienen_via_infuus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.122' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(vloeistof_toe_te_dienen_via_infuus): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:effectiveTime
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:effectiveTime"
         id="tmp-633163af-01d6-4b06-bb26-3d99ba7f936e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="@nullFlavor or @xsi:type='PIVL_TS' or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PIVL_TS" bevatten</assert>
      <extends rule="PIVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:period)&gt;=1 and not(hl7:period/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:period is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:period)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:period komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:effectiveTime/hl7:period
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:doseQuantity
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:rateQuantity
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:consumable
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:consumable"
         id="tmp-199e0a3e-d686-4767-85ad-b3ba22a53922">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-52eb98c3-0839-46dc-b61c-db3ae650f6b5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedMaterial is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedMaterial komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-40f656c8-ac0b-447d-a26d-59d78599a76d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:code)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="count(hl7:name)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code"
         id="tmp-d6ca1248-262f-4ea0-a6c6-c32bb60f4254">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.122.html"
              test="@nullFlavor or (@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')">(vloeistof_toe_te_dienen_via_infuus): de waarde van @code/@codeSystem MOET ''440132002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name
Item: (vloeistof_toe_te_dienen_via_infuus)
-->
</pattern>