<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.131
Description: Template voor de weergave van soort katheter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.131">
   <title>soort katheter</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.131
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]
Item: (soort_katheter)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]"
         id="tmp-8d95bbf6-1eb2-4bbc-974a-3afc13d89636">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(soort_katheter): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(soort_katheter): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.131
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]/hl7:manufacturedProduct
Item: (soort_katheter)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]/hl7:manufacturedProduct"
         id="tmp-9f6f6f67-c3b7-453e-a302-04dc2b5fbe0b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="@classCode='MANU'">(soort_katheter): de waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131']/@nullFlavor)">(soort_katheter): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131'])&lt;=1">(soort_katheter): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(soort_katheter): element hl7:manufacturedMaterial is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(soort_katheter): element hl7:manufacturedMaterial komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.131
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]/hl7:manufacturedProduct/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131']
Item: (soort_katheter)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]/hl7:manufacturedProduct/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131']"
         id="tmp-3ad89314-d2b6-4227-a3a7-86078b56cb4c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(soort_katheter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.131'">(soort_katheter): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.131' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(soort_katheter): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.131
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (soort_katheter)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-b4fa9ed7-fd33-4384-985f-345cd9641077">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(soort_katheter): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="count(hl7:code)&lt;=1">(soort_katheter): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.131
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (soort_katheter)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code"
         id="tmp-2e208803-80b3-468c-8312-ed97170f327c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(soort_katheter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-UrineKatheters-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-UrineKatheters-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(soort_katheter): de waarde van @code MOET worden gekozen uit waardenlijst UrineKatheters urine katheters DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(soort_katheter): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst UrineKatheters urine katheters DYNAMIC.</assert>
   </rule>
</pattern>