<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Description: Template voor de weergave van stoma
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.136">
   <title>stoma</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]
Item: (stoma)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]"
         id="tmp-2d94030a-90fc-4a48-982b-b6b1dd1bbff8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(stoma): element hl7:supply is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="count(hl7:supply)&lt;=1">(stoma): element hl7:supply komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply
Item: (stoma)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply"
         id="tmp-64ff6d41-46f3-435d-96bf-2da49bfab3e7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="@classCode='SPLY'">(stoma): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="@moodCode='EVN'">(stoma): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.136'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.136']/@nullFlavor)">(stoma): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.136'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.136'])&lt;=1">(stoma): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.136'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(stoma): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="count(hl7:code)&lt;=1">(stoma): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="count(hl7:effectiveTime)&lt;=1">(stoma): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137']]])&gt;=1 and not(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137']]]/@nullFlavor)">(stoma): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137']]])&lt;=1">(stoma): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.138']]])&lt;=1">(stoma): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.138']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]])&lt;=1">(stoma): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.136']
Item: (stoma)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.136']"
         id="tmp-7ed82dd6-db88-43a7-b829-bd410cbe262a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(stoma): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.136'">(stoma): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.136' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(stoma): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply/hl7:code
Item: (stoma)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply/hl7:code"
         id="tmp-d2926be3-a354-4fe7-898b-acdcb661df5b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(stoma): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="@nullFlavor or (@code='281600005' and @codeSystem='2.16.840.1.113883.6.96')">(stoma): de waarde van @code/@codeSystem MOET ''281600005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply/hl7:effectiveTime
Item: (stoma)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply/hl7:effectiveTime"
         id="tmp-84330b3f-f6b2-4c37-baeb-5767860be6ca">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(stoma): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137']]]
Item: (stoma)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.138']]]
Item: (stoma)
-->
<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.138']]]"
         id="tmp-705440d0-fdb2-43f3-bc20-2bec9db1fb42">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="@typeCode='REFR'">(stoma): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.136
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]]
Item: (stoma)
-->
<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.136']]/hl7:supply/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]]"
         id="tmp-89d08d14-d4ca-4fd5-bf75-6ea52780235c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.136.html"
              test="@typeCode='REFR'">(stoma): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>