<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Description: Template voor de weergave van entryRelationship Begin in zorg/behandeling
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.14">
   <title>begin in zorg/behandeling</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]
Item: (entryRelationship_begin_in_zorgbehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]"
         id="tmp-f6e2b8fc-97c6-44ed-b28f-96671daeef1a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_begin_in_zorgbehandeling): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_begin_in_zorgbehandeling): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation
Item: (entryRelationship_begin_in_zorgbehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation"
         id="tmp-d6bd3ed5-d8fe-4c7b-aca7-f8e792e8e43f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="@classCode='OBS'">(entryRelationship_begin_in_zorgbehandeling): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="@moodCode='EVN'">(entryRelationship_begin_in_zorgbehandeling): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14']/@nullFlavor)">(entryRelationship_begin_in_zorgbehandeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14'])&lt;=1">(entryRelationship_begin_in_zorgbehandeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_begin_in_zorgbehandeling): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_begin_in_zorgbehandeling): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="count(hl7:effectiveTime)&lt;=1">(entryRelationship_begin_in_zorgbehandeling): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14']
Item: (entryRelationship_begin_in_zorgbehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14']"
         id="tmp-637ee22a-f9a0-4963-b80e-6b8b32139a32">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_begin_in_zorgbehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.14'">(entryRelationship_begin_in_zorgbehandeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.14' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_begin_in_zorgbehandeling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation/hl7:code
Item: (entryRelationship_begin_in_zorgbehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation/hl7:code"
         id="tmp-691c69e3-b881-439c-9b39-25e891279c52">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_begin_in_zorgbehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="@nullFlavor or (@code='413946009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_begin_in_zorgbehandeling): de waarde van @code/@codeSystem MOET ''413946009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation/hl7:effectiveTime
Item: (entryRelationship_begin_in_zorgbehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation/hl7:effectiveTime"
         id="tmp-f32d8a04-beaf-49c6-a8ac-975599e8b6cb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.14.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(entryRelationship_begin_in_zorgbehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>