<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.149
Description: Template voor de weergave van voorplanting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.149">
   <title>voorplanting</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.149
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]
Item: (voorplanting)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]"
         id="tmp-030ea6f9-516c-4f96-b6c5-b0485425d3bc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">(voorplanting): element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="count(hl7:procedure)&lt;=1">(voorplanting): element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.149
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure
Item: (voorplanting)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure"
         id="tmp-99d747a7-f935-4ef3-822a-e6ccda36e571">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="@classCode='PROC'">(voorplanting): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="@moodCode='EVN'">(voorplanting): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']/@nullFlavor)">(voorplanting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149'])&lt;=1">(voorplanting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(voorplanting): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="count(hl7:code)&lt;=1">(voorplanting): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.149
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']
Item: (voorplanting)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.149']"
         id="tmp-098bb66d-fbe7-4b44-8ea6-ae21f32a5d8a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(voorplanting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.149'">(voorplanting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.149' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(voorplanting): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.149
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure/hl7:code
Item: (voorplanting)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.149']]/hl7:procedure/hl7:code"
         id="tmp-bb225b88-17b7-4d11-ae68-dd2bc10e7f77">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(voorplanting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.149.html"
              test="@nullFlavor or (@code='4589007' and @codeSystem='2.16.840.1.113883.6.96')">(voorplanting): de waarde van @code/@codeSystem MOET ''4589007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>