<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.155
Description: Template voor de weergave van decubitus - behandelplan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.155">
   <title>decubitus - behandelplan</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.155
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]
Item: (decubitus_behandelplan)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]"
         id="tmp-224a2569-665b-4c31-b569-db5c6afd77eb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">(decubitus_behandelplan): element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="count(hl7:procedure)&lt;=1">(decubitus_behandelplan): element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.155
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure
Item: (decubitus_behandelplan)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure"
         id="tmp-cbdd7b51-4e37-454f-ad39-c3ab4314000c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="@classCode='PROC'">(decubitus_behandelplan): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="@moodCode='EVN'">(decubitus_behandelplan): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155']/@nullFlavor)">(decubitus_behandelplan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155'])&lt;=1">(decubitus_behandelplan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(decubitus_behandelplan): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="count(hl7:code)&lt;=1">(decubitus_behandelplan): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.155
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155']
Item: (decubitus_behandelplan)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155']"
         id="tmp-74c8f45a-4c7a-4540-b6d3-82067d9697be">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(decubitus_behandelplan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.155'">(decubitus_behandelplan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.155' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(decubitus_behandelplan): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.155
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure/hl7:code
Item: (decubitus_behandelplan)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure/hl7:code"
         id="tmp-421fdd17-1db1-4d73-9e8d-7119c4ad8620">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(decubitus_behandelplan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.155.html"
              test="@nullFlavor or (@code='225357008' and @codeSystem='2.16.840.1.113883.6.96')">(decubitus_behandelplan): de waarde van @code/@codeSystem MOET ''225357008' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>