<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Description: Template voor de weergave van entryRelationship prognose
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.16">
   <title>prognose</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]
Item: (entryRelationship_prognose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]"
         id="tmp-396231d0-7350-45fc-8bbe-8948f0205cb2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_prognose): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_prognose): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation
Item: (entryRelationship_prognose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation"
         id="tmp-600e1709-3d17-4683-8d98-ee00b894a254">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="@classCode='OBS'">(entryRelationship_prognose): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="@moodCode='EVN'">(entryRelationship_prognose): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']/@nullFlavor)">(entryRelationship_prognose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'])&lt;=1">(entryRelationship_prognose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_prognose): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_prognose): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_prognose): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_prognose): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']
Item: (entryRelationship_prognose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']"
         id="tmp-f1968e56-135c-4ac9-8ba4-0accd99cf881">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_prognose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.16'">(entryRelationship_prognose): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.16' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_prognose): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation/hl7:code
Item: (entryRelationship_prognose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation/hl7:code"
         id="tmp-3285750d-1248-4e29-866a-083f8457397a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_prognose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="@nullFlavor or (@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_prognose): de waarde van @code/@codeSystem MOET ''365858006' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation/hl7:value
Item: (entryRelationship_prognose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation/hl7:value"
         id="tmp-d6fc3f9d-5362-4214-ad49-487ae0e9620e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.16.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_prognose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>