<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.163
Description: Template voor de weergave van behandeling - wond
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.163">
   <title>behandeling - wond</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.163
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.163']]
Item: (behandeling_wond)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.163']]"
         id="tmp-76f01e9d-2651-4090-8be2-de62a65f854e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">(behandeling_wond): element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="count(hl7:procedure)&lt;=1">(behandeling_wond): element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.163
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.163']]/hl7:procedure
Item: (behandeling_wond)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.163']]/hl7:procedure"
         id="tmp-cde1965e-74dd-49fc-b087-6c3595455fe2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="@classCode='PROC'">(behandeling_wond): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="@moodCode='EVN'">(behandeling_wond): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.163']/@nullFlavor)">(behandeling_wond): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.163'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.163'])&lt;=1">(behandeling_wond): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.163'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(behandeling_wond): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="count(hl7:code)&lt;=1">(behandeling_wond): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.163
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.163']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.163']
Item: (behandeling_wond)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.163']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.163']"
         id="tmp-aec7cfdf-05cd-4de4-a2fa-bb0e1be150a4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(behandeling_wond): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.163'">(behandeling_wond): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.163' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(behandeling_wond): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.163
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.163']]/hl7:procedure/hl7:code
Item: (behandeling_wond)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.163']]/hl7:procedure/hl7:code"
         id="tmp-1ae289d3-7647-4417-bbf2-f6dba9f0a801">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(behandeling_wond): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.163.html"
              test="@nullFlavor or (@code='225358003' and @codeSystem='2.16.840.1.113883.6.96')">(behandeling_wond): de waarde van @code/@codeSystem MOET ''225358003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>