<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Description: Template voor de weergave van locatie - overige huidaandoeningen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.165">
   <title>locatie - overige huidaandoeningen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]
Item: (locatie_overige_huidaandoeningen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]"
         id="tmp-f211b6ee-878f-4106-8ac3-f9c9480ba2e4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(locatie_overige_huidaandoeningen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="count(hl7:observation)&lt;=1">(locatie_overige_huidaandoeningen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation
Item: (locatie_overige_huidaandoeningen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation"
         id="tmp-d2a6c358-cc10-4195-b4e0-767afc0b7bf4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="@classCode='OBS'">(locatie_overige_huidaandoeningen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="@moodCode='EVN'">(locatie_overige_huidaandoeningen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']/@nullFlavor)">(locatie_overige_huidaandoeningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165'])&lt;=1">(locatie_overige_huidaandoeningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(locatie_overige_huidaandoeningen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="count(hl7:code)&lt;=1">(locatie_overige_huidaandoeningen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(locatie_overige_huidaandoeningen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="count(hl7:value)&lt;=1">(locatie_overige_huidaandoeningen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']
Item: (locatie_overige_huidaandoeningen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.165']"
         id="tmp-c403ab68-8f94-4d1e-8d7b-48341ec611a7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(locatie_overige_huidaandoeningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.165'">(locatie_overige_huidaandoeningen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.165' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(locatie_overige_huidaandoeningen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation/hl7:code
Item: (locatie_overige_huidaandoeningen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation/hl7:code"
         id="tmp-5f9405d5-2234-4df7-bb1b-15e73b787fb7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(locatie_overige_huidaandoeningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="@nullFlavor or (@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')">(locatie_overige_huidaandoeningen): de waarde van @code/@codeSystem MOET ''363698007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.165
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation/hl7:value
Item: (locatie_overige_huidaandoeningen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.165']]/hl7:observation/hl7:value"
         id="tmp-88ced6dd-b0f9-4953-841f-72dd7205ee1b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.165.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(locatie_overige_huidaandoeningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>