<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.177
Description: manufacturedProduct
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.177">
   <title>manufacturedProduct</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.177
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.177']]
Item: (manufacturedProduct)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.177']]"
         id="tmp-e32e6e8f-7e77-4e6a-ad8c-4171367901d0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(manufacturedProduct): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(manufacturedProduct): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.177
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.177']]/hl7:manufacturedProduct
Item: (manufacturedProduct)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.177']]/hl7:manufacturedProduct"
         id="tmp-db1a6d5a-35b9-448c-8239-5052bda4f5e8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="@classCode='MANU'">(manufacturedProduct): de waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']/@nullFlavor)">(manufacturedProduct): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177'])&lt;=1">(manufacturedProduct): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(manufacturedProduct): element hl7:manufacturedMaterial is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(manufacturedProduct): element hl7:manufacturedMaterial komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.177
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.177']]/hl7:manufacturedProduct/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']
Item: (manufacturedProduct)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.177']]/hl7:manufacturedProduct/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']"
         id="tmp-dabda79e-2577-4ce8-8bb4-d5f1c8d29ecb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(manufacturedProduct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.177'">(manufacturedProduct): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.177' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(manufacturedProduct): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.177
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.177']]/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (manufacturedProduct)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.177']]/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-a1a1b4d7-b588-4809-8b4f-31441e0cee31">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="@classCode='MMAT'">(manufacturedProduct): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(manufacturedProduct): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="count(hl7:code)&lt;=1">(manufacturedProduct): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.177
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.177']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (manufacturedProduct)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.177']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code"
         id="tmp-b8270db5-e194-4a41-883a-1085a7f99da4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(manufacturedProduct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-HulpmiddelenZien-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-HulpmiddelenZien-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(manufacturedProduct): de waarde van @code MOET worden gekozen uit waardenlijst HulpmiddelenZien hulpmiddelen zien DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.177.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(manufacturedProduct): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst HulpmiddelenZien hulpmiddelen zien DYNAMIC.</assert>
   </rule>
</pattern>