<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Description: Template voor de weergave van hulpmiddelen bij gehoor
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.179">
   <title>hulpmiddelen bij gehoor</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]
Item: (hulpmiddelen_bij_gehoor)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]"
         id="tmp-497270c8-cb54-4865-9950-122cafee3742">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(hulpmiddelen_bij_gehoor): element hl7:supply is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="count(hl7:supply)&lt;=1">(hulpmiddelen_bij_gehoor): element hl7:supply komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply
Item: (hulpmiddelen_bij_gehoor)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply"
         id="tmp-bf4c350a-b142-42b4-ae63-5c0c620d06f3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="@classCode='SPLY'">(hulpmiddelen_bij_gehoor): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="@moodCode='EVN'">(hulpmiddelen_bij_gehoor): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']/@nullFlavor)">(hulpmiddelen_bij_gehoor): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179'])&lt;=1">(hulpmiddelen_bij_gehoor): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(hulpmiddelen_bij_gehoor): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="count(hl7:code)&lt;=1">(hulpmiddelen_bij_gehoor): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="count(hl7:statusCode)&lt;=1">(hulpmiddelen_bij_gehoor): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]])&gt;=1 and not(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]]/@nullFlavor)">(hulpmiddelen_bij_gehoor): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]])&lt;=1">(hulpmiddelen_bij_gehoor): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']
Item: (hulpmiddelen_bij_gehoor)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']"
         id="tmp-ac1c6b00-d8b6-43f8-8099-641f5661b19b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(hulpmiddelen_bij_gehoor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.179'">(hulpmiddelen_bij_gehoor): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.179' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(hulpmiddelen_bij_gehoor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply/hl7:code
Item: (hulpmiddelen_bij_gehoor)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply/hl7:code"
         id="tmp-f495cd27-1805-4fad-9443-9ef276e9d57e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(hulpmiddelen_bij_gehoor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="@nullFlavor or (@code='272182005' and @codeSystem='2.16.840.1.113883.6.96')">(hulpmiddelen_bij_gehoor): de waarde van @code/@codeSystem MOET ''272182005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply/hl7:statusCode
Item: (hulpmiddelen_bij_gehoor)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply/hl7:statusCode"
         id="tmp-91d77cf0-294e-4a08-87f9-e0013f498978">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(hulpmiddelen_bij_gehoor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="@nullFlavor or (@code='completed')">(hulpmiddelen_bij_gehoor): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.179
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]]
Item: (hulpmiddelen_bij_gehoor)
-->
<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.179']]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']]]"
         id="tmp-8e04071f-aac5-4417-851e-8a0f828361d8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.179.html"
              test="@typeCode='PRD' or not(@typeCode)">(hulpmiddelen_bij_gehoor): de waarde van @typeCode MOET 'PRD' zijn.</assert>
   </rule>
</pattern>