<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Description: Template voor de weergave van Andere relevante medische aandoening
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.18">
   <title>andere relevante medische aandoening</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]
Item: (Andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]"
         id="tmp-3d85fb96-95d6-43d1-af59-d2d52be26e85">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(Andere_relevante_medische_aandoening): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="count(hl7:observation)&lt;=1">(Andere_relevante_medische_aandoening): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation
Item: (Andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation"
         id="tmp-a1e11690-c6f7-4702-bbab-0b99552cc311">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="@classCode='OBS'">(Andere_relevante_medische_aandoening): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="@moodCode='EVN'">(Andere_relevante_medische_aandoening): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18']/@nullFlavor)">(Andere_relevante_medische_aandoening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18'])&lt;=1">(Andere_relevante_medische_aandoening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Andere_relevante_medische_aandoening): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="count(hl7:code)&lt;=1">(Andere_relevante_medische_aandoening): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Andere_relevante_medische_aandoening): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="count(hl7:value)&lt;=1">(Andere_relevante_medische_aandoening): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18']
Item: (Andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18']"
         id="tmp-08894acf-1726-4c20-9ced-baaaad15256d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Andere_relevante_medische_aandoening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.18'">(Andere_relevante_medische_aandoening): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.18' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Andere_relevante_medische_aandoening): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation/hl7:code
Item: (Andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation/hl7:code"
         id="tmp-208a5874-007b-45a7-8310-79a3d5810e44">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Andere_relevante_medische_aandoening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="@nullFlavor or (@code='52465-2' and @codeSystem='2.16.840.1.113883.6.1')">(Andere_relevante_medische_aandoening): de waarde van @code/@codeSystem MOET ''52465-2' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation/hl7:value
Item: (Andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation/hl7:value"
         id="tmp-4dc1c320-e52e-4d6c-bab4-edf58b9c4ac1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Andere_relevante_medische_aandoening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>