<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.180
Description: Template voor de weergave van manufacturedProduct gehoor hulpmiddelen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.180">
   <title>manufacturedProduct gehoor hulpmiddelen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.180
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.180']]
Item: (manufacturedProduct_gehoor_hulpmiddelen)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.180']]"
         id="tmp-17b2b2d3-6c83-47e6-aea2-2f3aaf1a64ff">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(manufacturedProduct_gehoor_hulpmiddelen): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(manufacturedProduct_gehoor_hulpmiddelen): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.180
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.180']]/hl7:manufacturedProduct
Item: (manufacturedProduct_gehoor_hulpmiddelen)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.180']]/hl7:manufacturedProduct"
         id="tmp-e7cd5903-6744-48a3-aceb-97af2a06fc0a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="@classCode='MANU'">(manufacturedProduct_gehoor_hulpmiddelen): de waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']/@nullFlavor)">(manufacturedProduct_gehoor_hulpmiddelen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180'])&lt;=1">(manufacturedProduct_gehoor_hulpmiddelen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(manufacturedProduct_gehoor_hulpmiddelen): element hl7:manufacturedMaterial is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(manufacturedProduct_gehoor_hulpmiddelen): element hl7:manufacturedMaterial komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.180
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.180']]/hl7:manufacturedProduct/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']
Item: (manufacturedProduct_gehoor_hulpmiddelen)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.180']]/hl7:manufacturedProduct/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.180']"
         id="tmp-661884e3-275d-4a93-ba07-f4859124b202">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(manufacturedProduct_gehoor_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.180'">(manufacturedProduct_gehoor_hulpmiddelen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.180' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(manufacturedProduct_gehoor_hulpmiddelen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.180
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.180']]/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (manufacturedProduct_gehoor_hulpmiddelen)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.180']]/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-a2521bc5-4c84-4c6b-b671-609683548382">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="@classCode='MMAT'">(manufacturedProduct_gehoor_hulpmiddelen): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(manufacturedProduct_gehoor_hulpmiddelen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="count(hl7:code)&lt;=1">(manufacturedProduct_gehoor_hulpmiddelen): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.180
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.180']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (manufacturedProduct_gehoor_hulpmiddelen)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.180']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code"
         id="tmp-452566af-97b1-4aae-8d0f-4e2adb18a1b8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(manufacturedProduct_gehoor_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-HulpmiddelenGehoor-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-HulpmiddelenGehoor-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(manufacturedProduct_gehoor_hulpmiddelen): de waarde van @code MOET worden gekozen uit waardenlijst HulpmiddelenGehoor hulpmiddelen gehoor DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.180.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(manufacturedProduct_gehoor_hulpmiddelen): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst HulpmiddelenGehoor hulpmiddelen gehoor DYNAMIC.</assert>
   </rule>
</pattern>