<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.191
Description: Template voor de weergave van dwang en drang
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.191">
   <title>dwang en drang</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.191
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]
Item: (dwang_en_drang)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]"
         id="tmp-742087ed-d053-4c7c-89a6-43985e37f414">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(dwang_en_drang): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:observation)&lt;=1">(dwang_en_drang): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.191
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation
Item: (dwang_en_drang)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation"
         id="tmp-c8c6e569-97a9-4ca4-8aa3-683352c58fd0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="@classCode='OBS'">(dwang_en_drang): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="@moodCode='EVN'">(dwang_en_drang): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.191'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.191']/@nullFlavor)">(dwang_en_drang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.191'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.191'])&lt;=1">(dwang_en_drang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.191'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(dwang_en_drang): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:code)&lt;=1">(dwang_en_drang): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(dwang_en_drang): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:effectiveTime)&lt;=1">(dwang_en_drang): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(dwang_en_drang): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:value)&lt;=1">(dwang_en_drang): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.192']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.192']]]/@nullFlavor)">(dwang_en_drang): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.192']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.192']]])&lt;=1">(dwang_en_drang): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.192']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.191
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.191']
Item: (dwang_en_drang)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.191']"
         id="tmp-f6ba1694-e694-4913-9049-3bd45cc07165">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(dwang_en_drang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.191'">(dwang_en_drang): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.191' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(dwang_en_drang): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.191
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:code
Item: (dwang_en_drang)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:code"
         id="tmp-d2f28d02-6516-414c-8a81-9a0c79f5edbe">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(dwang_en_drang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="@nullFlavor or (@code='390811008' and @codeSystem='2.16.840.1.113883.6.96')">(dwang_en_drang): de waarde van @code/@codeSystem MOET ''390811008' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.191
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:effectiveTime
Item: (dwang_en_drang)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:effectiveTime"
         id="tmp-7a80cf85-6f6b-4972-8145-92294a4aa124">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(dwang_en_drang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(dwang_en_drang): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:low)&lt;=1">(dwang_en_drang): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(dwang_en_drang): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="count(hl7:high)&lt;=1">(dwang_en_drang): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.191
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (dwang_en_drang)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.191
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (dwang_en_drang)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.191
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:value
Item: (dwang_en_drang)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:value"
         id="tmp-b24bfe53-627e-4e07-866a-0850b6787057">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(dwang_en_drang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-DwangEnDrang-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-DwangEnDrang-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(dwang_en_drang): de waarde van @code MOET worden gekozen uit waardenlijst DwangEnDrang dwang &amp; drang DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(dwang_en_drang): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst DwangEnDrang dwang &amp; drang DYNAMIC.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.191
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.192']]]
Item: (dwang_en_drang)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.191']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.192']]]"
         id="tmp-504c3c25-740d-4932-bd95-30c015e30250">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.191.html"
              test="@typeCode='REFR'">(dwang_en_drang): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>