<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.203
Description: Template voor de weergave van plaats oriëntatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.203">
   <title>plaats oriëntatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.203
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.203']]
Item: (plaats_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.203']]"
         id="tmp-0206f4d5-ecc4-49ba-ba56-fdbb21c4f069">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(plaats_oriëntatie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="count(hl7:observation)&lt;=1">(plaats_oriëntatie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.203
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.203']]/hl7:observation
Item: (plaats_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.203']]/hl7:observation"
         id="tmp-6f745df8-ffda-4848-be48-8e973686a33d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="@classCode='OBS'">(plaats_oriëntatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="@moodCode='EVN'">(plaats_oriëntatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.203'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.203']/@nullFlavor)">(plaats_oriëntatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.203'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.203'])&lt;=1">(plaats_oriëntatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.203'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plaats_oriëntatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="count(hl7:code)&lt;=1">(plaats_oriëntatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plaats_oriëntatie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="count(hl7:value)&lt;=1">(plaats_oriëntatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.203
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.203']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.203']
Item: (plaats_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.203']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.203']"
         id="tmp-ea8ec276-5f33-4555-aace-6a3c97128d40">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(plaats_oriëntatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.203'">(plaats_oriëntatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.203' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(plaats_oriëntatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.203
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.203']]/hl7:observation/hl7:code
Item: (plaats_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.203']]/hl7:observation/hl7:code"
         id="tmp-feae24cc-d397-4b2d-a305-c6379c93399c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(plaats_oriëntatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="@nullFlavor or (@code='b1141' and @codeSystem='2.16.840.1.113883.6.254')">(plaats_oriëntatie): de waarde van @code/@codeSystem MOET ''b1141' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.203
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.203']]/hl7:observation/hl7:value
Item: (plaats_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.203']]/hl7:observation/hl7:value"
         id="tmp-e4f2737c-f825-45fa-8b30-22e3102d6b8d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(plaats_oriëntatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.203.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(plaats_oriëntatie): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(plaats_oriëntatie): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>