<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.204
Description: Template voor de weergave van persoon oriëntatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.204">
   <title>persoon oriëntatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.204
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.204']]
Item: (persoon_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.204']]"
         id="tmp-b328d52a-d2bf-4156-a5b8-325edb2c6c8b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(persoon_oriëntatie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="count(hl7:observation)&lt;=1">(persoon_oriëntatie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.204
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.204']]/hl7:observation
Item: (persoon_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.204']]/hl7:observation"
         id="tmp-959bf0fd-700d-4cc4-a0fc-511772888db2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="@classCode='OBS'">(persoon_oriëntatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="@moodCode='EVN'">(persoon_oriëntatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.204'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.204']/@nullFlavor)">(persoon_oriëntatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.204'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.204'])&lt;=1">(persoon_oriëntatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.204'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(persoon_oriëntatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="count(hl7:code)&lt;=1">(persoon_oriëntatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(persoon_oriëntatie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="count(hl7:value)&lt;=1">(persoon_oriëntatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.204
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.204']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.204']
Item: (persoon_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.204']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.204']"
         id="tmp-1b9311a9-2556-4c07-8f78-6334d1e738b1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(persoon_oriëntatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.204'">(persoon_oriëntatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.204' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(persoon_oriëntatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.204
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.204']]/hl7:observation/hl7:code
Item: (persoon_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.204']]/hl7:observation/hl7:code"
         id="tmp-86635c28-75a3-4739-83a3-d6f14f037307">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(persoon_oriëntatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="@nullFlavor or (@code='b11429' and @codeSystem='2.16.840.1.113883.6.254')">(persoon_oriëntatie): de waarde van @code/@codeSystem MOET ''b11429' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.204
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.204']]/hl7:observation/hl7:value
Item: (persoon_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.204']]/hl7:observation/hl7:value"
         id="tmp-891f9296-2cfd-47a0-8011-b7f588e32b54">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(persoon_oriëntatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.204.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(persoon_oriëntatie): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(persoon_oriëntatie): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>