<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.205
Description: Template voor de weergave van intellectuele functies
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.205">
   <title>intellectuele functies</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.205
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.205']]
Item: (intellectuele_functies)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.205']]"
         id="tmp-4540bb06-9f49-4484-8d84-090025c5e7d0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(intellectuele_functies): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="count(hl7:observation)&lt;=1">(intellectuele_functies): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.205
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.205']]/hl7:observation
Item: (intellectuele_functies)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.205']]/hl7:observation"
         id="tmp-b9939a62-e432-4b03-8c71-a73f0749912a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="@classCode='OBS'">(intellectuele_functies): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="@moodCode='EVN'">(intellectuele_functies): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.205'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.205']/@nullFlavor)">(intellectuele_functies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.205'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.205'])&lt;=1">(intellectuele_functies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.205'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(intellectuele_functies): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="count(hl7:code)&lt;=1">(intellectuele_functies): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(intellectuele_functies): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="count(hl7:value)&lt;=1">(intellectuele_functies): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.205
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.205']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.205']
Item: (intellectuele_functies)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.205']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.205']"
         id="tmp-4187f1f4-7d2c-43f4-b1f3-ed763f05386a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(intellectuele_functies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.205'">(intellectuele_functies): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.205' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(intellectuele_functies): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.205
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.205']]/hl7:observation/hl7:code
Item: (intellectuele_functies)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.205']]/hl7:observation/hl7:code"
         id="tmp-053b8301-f7dd-43fb-9361-a171f6b4fb96">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(intellectuele_functies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="@nullFlavor or (@code='b117' and @codeSystem='2.16.840.1.113883.6.254')">(intellectuele_functies): de waarde van @code/@codeSystem MOET ''b117' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.205
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.205']]/hl7:observation/hl7:value
Item: (intellectuele_functies)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.205']]/hl7:observation/hl7:value"
         id="tmp-8341c9ea-1d03-4476-bceb-f36d4ed35447">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(intellectuele_functies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.205.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(intellectuele_functies): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(intellectuele_functies): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>