<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Description: Template voor de weergave van adequaatheid stemming
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.211">
   <title>adequaatheid stemming</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]
Item: (adequaatheid_stemming)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]"
         id="tmp-4a7b7c8d-a300-4ead-a734-84fa03eb7a30">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(adequaatheid_stemming): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="count(hl7:observation)&lt;=1">(adequaatheid_stemming): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation
Item: (adequaatheid_stemming)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation"
         id="tmp-4560b5b4-e82e-41e1-9be1-6c4bb94c2e8c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="@classCode='OBS'">(adequaatheid_stemming): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="@moodCode='EVN'">(adequaatheid_stemming): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']/@nullFlavor)">(adequaatheid_stemming): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211'])&lt;=1">(adequaatheid_stemming): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(adequaatheid_stemming): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="count(hl7:code)&lt;=1">(adequaatheid_stemming): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(adequaatheid_stemming): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="count(hl7:value)&lt;=1">(adequaatheid_stemming): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']
Item: (adequaatheid_stemming)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.211']"
         id="tmp-8a2253c9-4f5f-4595-9c3f-89e88c24f9a1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(adequaatheid_stemming): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.211'">(adequaatheid_stemming): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.211' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(adequaatheid_stemming): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation/hl7:code
Item: (adequaatheid_stemming)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation/hl7:code"
         id="tmp-86a9b728-2642-4ffb-b237-39840ce48583">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(adequaatheid_stemming): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="@nullFlavor or (@code='b1520' and @codeSystem='2.16.840.1.113883.6.254')">(adequaatheid_stemming): de waarde van @code/@codeSystem MOET ''b1520' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.211
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation/hl7:value
Item: (adequaatheid_stemming)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.211']]/hl7:observation/hl7:value"
         id="tmp-c44a20b4-33c6-4e7d-9bf6-df0892d3ce55">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(adequaatheid_stemming): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.211.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(adequaatheid_stemming): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(adequaatheid_stemming): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>