<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.212
Description: Template voor de weergave van regulering stemming
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.212">
   <title>regulering stemming</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.212
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.212']]
Item: (regulering_stemming)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.212']]"
         id="tmp-93b00ba6-e416-4538-a4aa-d1b2d5b7b9f6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(regulering_stemming): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="count(hl7:observation)&lt;=1">(regulering_stemming): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.212
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.212']]/hl7:observation
Item: (regulering_stemming)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.212']]/hl7:observation"
         id="tmp-20ff53ab-86f1-49cf-9281-97ab246aea62">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="@classCode='OBS'">(regulering_stemming): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="@moodCode='EVN'">(regulering_stemming): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.212'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.212']/@nullFlavor)">(regulering_stemming): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.212'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.212'])&lt;=1">(regulering_stemming): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.212'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(regulering_stemming): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="count(hl7:code)&lt;=1">(regulering_stemming): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(regulering_stemming): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="count(hl7:value)&lt;=1">(regulering_stemming): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.212
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.212']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.212']
Item: (regulering_stemming)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.212']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.212']"
         id="tmp-2c4bf4ea-f719-4687-9266-aa6a2cdce522">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(regulering_stemming): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.212'">(regulering_stemming): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.212' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(regulering_stemming): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.212
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.212']]/hl7:observation/hl7:code
Item: (regulering_stemming)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.212']]/hl7:observation/hl7:code"
         id="tmp-214a461c-b62b-4e14-8001-6e65e0e2139a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(regulering_stemming): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="@nullFlavor or (@code='b1521' and @codeSystem='2.16.840.1.113883.6.254')">(regulering_stemming): de waarde van @code/@codeSystem MOET ''b1521' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.212
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.212']]/hl7:observation/hl7:value
Item: (regulering_stemming)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.212']]/hl7:observation/hl7:value"
         id="tmp-e27f2a0b-c77e-4c5f-a236-13fae4a2b266">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(regulering_stemming): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.212.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(regulering_stemming): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(regulering_stemming): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>