<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.224
Description: Template voor de weergave van non verbale communicatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.224">
   <title>non verbale communicatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.224
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]
Item: (non_verbale_communicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]"
         id="tmp-2d649669-fc41-4b46-a5b7-a7215c032141">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(non_verbale_communicatie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="count(hl7:observation)&lt;=1">(non_verbale_communicatie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.224
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]/hl7:observation
Item: (non_verbale_communicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]/hl7:observation"
         id="tmp-81813073-89b8-438f-b74a-f722335852af">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="@classCode='OBS'">(non_verbale_communicatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="@moodCode='EVN'">(non_verbale_communicatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.224'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.224']/@nullFlavor)">(non_verbale_communicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.224'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.224'])&lt;=1">(non_verbale_communicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.224'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(non_verbale_communicatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="count(hl7:code)&lt;=1">(non_verbale_communicatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(non_verbale_communicatie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="count(hl7:value)&lt;=1">(non_verbale_communicatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.224
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.224']
Item: (non_verbale_communicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.224']"
         id="tmp-64901f9b-0191-4f9a-9633-d70871fd3026">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(non_verbale_communicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.224'">(non_verbale_communicatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.224' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(non_verbale_communicatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.224
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]/hl7:observation/hl7:code
Item: (non_verbale_communicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]/hl7:observation/hl7:code"
         id="tmp-f737b42b-1fdd-42fc-a86d-10d3a0f5ba29">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(non_verbale_communicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="@nullFlavor or (@code='d3159' and @codeSystem='2.16.840.1.113883.6.254')">(non_verbale_communicatie): de waarde van @code/@codeSystem MOET ''d3159' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.224
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]/hl7:observation/hl7:value
Item: (non_verbale_communicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]/hl7:observation/hl7:value"
         id="tmp-48ab7856-e3f2-4d80-8400-a8ec90e79eac">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(non_verbale_communicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.224.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(non_verbale_communicatie): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(non_verbale_communicatie): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>