<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Description: Template voor de weergave van geregistreerd als donor
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.240">
   <title>geregistreerd als donor</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]
Item: (geregistreerd_als_donor)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]"
         id="tmp-715b4871-e134-448d-b938-bb5c4d52275c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(geregistreerd_als_donor): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="count(hl7:observation)&lt;=1">(geregistreerd_als_donor): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation
Item: (geregistreerd_als_donor)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation"
         id="tmp-5231aa8a-31bf-4d46-ac2b-baf6a2db51d1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="@classCode='OBS'">(geregistreerd_als_donor): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="@moodCode='EVN'">(geregistreerd_als_donor): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']/@nullFlavor)">(geregistreerd_als_donor): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240'])&lt;=1">(geregistreerd_als_donor): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(geregistreerd_als_donor): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="count(hl7:code)&lt;=1">(geregistreerd_als_donor): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']
Item: (geregistreerd_als_donor)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.240']"
         id="tmp-bc143bcc-8d99-4d3c-8c1b-e4cc83d4b5e6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(geregistreerd_als_donor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.240'">(geregistreerd_als_donor): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.240' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(geregistreerd_als_donor): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.240
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation/hl7:code
Item: (geregistreerd_als_donor)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.240']]/hl7:observation/hl7:code"
         id="tmp-4fd2bcb0-f860-4c3a-b50a-2e3f6453e140">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(geregistreerd_als_donor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.240.html"
              test="@nullFlavor or (@code='443564001' and @codeSystem='2.16.840.1.113883.6.96')">(geregistreerd_als_donor): de waarde van @code/@codeSystem MOET ''443564001' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>