<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Description: Template voor de weergave van sociaal netwerk
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.246">
   <title>sociaal netwerk</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]
Item: (sociaal_netwerk)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]"
         id="tmp-6b4bc872-79e7-4620-9c6b-bfcc878d6467">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(sociaal_netwerk): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="count(hl7:observation)&lt;=1">(sociaal_netwerk): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation
Item: (sociaal_netwerk)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation"
         id="tmp-08582f22-28a4-4c65-8a2c-e2564b4b514a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="@classCode='OBS'">(sociaal_netwerk): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="@moodCode='EVN'">(sociaal_netwerk): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']/@nullFlavor)">(sociaal_netwerk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'])&lt;=1">(sociaal_netwerk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(sociaal_netwerk): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="count(hl7:code)&lt;=1">(sociaal_netwerk): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(sociaal_netwerk): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="count(hl7:value)&lt;=1">(sociaal_netwerk): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']
Item: (sociaal_netwerk)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']"
         id="tmp-c34a0e74-7145-410d-9076-6a69cba74fe6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(sociaal_netwerk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.246'">(sociaal_netwerk): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.246' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(sociaal_netwerk): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation/hl7:code
Item: (sociaal_netwerk)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation/hl7:code"
         id="tmp-e90dd8a5-fe4e-44fa-b8c0-429fd17bc406">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(sociaal_netwerk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="@nullFlavor or (@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')">(sociaal_netwerk): de waarde van @code/@codeSystem MOET ''108329005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation/hl7:value
Item: (sociaal_netwerk)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation/hl7:value"
         id="tmp-40d5dae8-7bb2-4ac4-9117-f52e63620bba">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.246.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(sociaal_netwerk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>