<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.253
Description: Template voor de weergave van professionele hulp
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.253">
   <title>professionele hulp</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.253
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]
Item: (professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]"
         id="tmp-2faf16dc-46ad-4c3a-9bd6-401497112b93">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(professionele_hulp): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="count(hl7:observation)&lt;=1">(professionele_hulp): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.253
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]/hl7:observation
Item: (professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]/hl7:observation"
         id="tmp-2c36e90d-536e-422e-996f-36392d0cdcbe">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="@classCode='OBS'">(professionele_hulp): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="@moodCode='EVN'">(professionele_hulp): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.253'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.253']/@nullFlavor)">(professionele_hulp): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.253'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.253'])&lt;=1">(professionele_hulp): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.253'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(professionele_hulp): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="count(hl7:code)&lt;=1">(professionele_hulp): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(professionele_hulp): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="count(hl7:value)&lt;=1">(professionele_hulp): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]])&lt;=1">(professionele_hulp): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.253
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.253']
Item: (professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.253']"
         id="tmp-7aa1e558-4e75-4bcd-b497-42f620dea0d2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.253'">(professionele_hulp): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.253' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(professionele_hulp): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.253
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]/hl7:observation/hl7:code
Item: (professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]/hl7:observation/hl7:code"
         id="tmp-d5ac10ad-ece6-47ed-997b-70e8493d8f06">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="@nullFlavor or (@code='271391000' and @codeSystem='2.16.840.1.113883.6.96')">(professionele_hulp): de waarde van @code/@codeSystem MOET ''271391000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.253
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]/hl7:observation/hl7:value
Item: (professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]/hl7:observation/hl7:value"
         id="tmp-3bb8fdcc-cbdf-4ee0-8221-e8db98ff1674">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.253
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]]
Item: (professionele_hulp)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.253']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']]]"
         id="tmp-da01c55d-9461-4436-9017-73026489202b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.253.html"
              test="@typeCode='REFR'">(professionele_hulp): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>