<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Description: Template voor de weergave van frequentie professionele hulp
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.254">
   <title>frequentie professionele hulp</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]
Item: (frequentie_professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]"
         id="tmp-5dfc6fca-b9cb-4886-adce-3324828e5b0d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(frequentie_professionele_hulp): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="count(hl7:observation)&lt;=1">(frequentie_professionele_hulp): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation
Item: (frequentie_professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation"
         id="tmp-085b1605-ee64-4553-8dc6-b6a3ba7a001a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="@classCode='OBS'">(frequentie_professionele_hulp): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="@moodCode='EVN'">(frequentie_professionele_hulp): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']/@nullFlavor)">(frequentie_professionele_hulp): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'])&lt;=1">(frequentie_professionele_hulp): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(frequentie_professionele_hulp): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="count(hl7:code)&lt;=1">(frequentie_professionele_hulp): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(frequentie_professionele_hulp): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="count(hl7:value)&lt;=1">(frequentie_professionele_hulp): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']
Item: (frequentie_professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']"
         id="tmp-d362e364-6b60-4492-b022-f9e674fe7fd0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(frequentie_professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.254'">(frequentie_professionele_hulp): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.254' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(frequentie_professionele_hulp): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation/hl7:code
Item: (frequentie_professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation/hl7:code"
         id="tmp-ce348dd3-8ea8-4206-9d8d-27da49f790ab">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(frequentie_professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="@nullFlavor or (@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')">(frequentie_professionele_hulp): de waarde van @code/@codeSystem MOET ''260866001' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation/hl7:value
Item: (frequentie_professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation/hl7:value"
         id="tmp-97b78e82-7937-47ee-ab91-005e8082530b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.254.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(frequentie_professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>