<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Description: Template voor de weergave van Hulp bij toediening
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.26">
   <title>hulp bij toediening</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]
Item: (Hulp_bij_toediening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]"
         id="tmp-abc7093b-b20f-4ecb-9676-dbf3c3f479b7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(Hulp_bij_toediening): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="count(hl7:observation)&lt;=1">(Hulp_bij_toediening): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation
Item: (Hulp_bij_toediening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation"
         id="tmp-a8ccd253-68eb-4b58-9a39-1514c3937899">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="@classCode='OBS'">(Hulp_bij_toediening): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="@moodCode='EVN'">(Hulp_bij_toediening): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26']/@nullFlavor)">(Hulp_bij_toediening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26'])&lt;=1">(Hulp_bij_toediening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Hulp_bij_toediening): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="count(hl7:code)&lt;=1">(Hulp_bij_toediening): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Hulp_bij_toediening): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="count(hl7:value)&lt;=1">(Hulp_bij_toediening): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26']
Item: (Hulp_bij_toediening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26']"
         id="tmp-65fda141-30d1-4a09-933b-218bec31b0c2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Hulp_bij_toediening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.26'">(Hulp_bij_toediening): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.26' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Hulp_bij_toediening): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation/hl7:code
Item: (Hulp_bij_toediening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation/hl7:code"
         id="tmp-ef1c0b57-84d7-4af0-bd88-e0ee1864e78c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Hulp_bij_toediening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="@nullFlavor or (@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')">(Hulp_bij_toediening): de waarde van @code/@codeSystem MOET ''426031007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation/hl7:value
Item: (Hulp_bij_toediening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation/hl7:value"
         id="tmp-c6eaa7dd-7a8d-4105-84da-6fbdbc09d277">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.26.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Hulp_bij_toediening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>