<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Description: Template voor de weergave van meegegeven documentatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.260">
   <title>meegegeven documentatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]
Item: (meegegeven_documentatie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]"
         id="tmp-299e7bb5-cfd7-4e96-b4f3-9a2defeee95d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(meegegeven_documentatie): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="count(hl7:act)&lt;=1">(meegegeven_documentatie): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act
Item: (meegegeven_documentatie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act"
         id="tmp-e76d9e83-2148-4a14-b8c5-f45dd3c4467a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="@classCode='ACT'">(meegegeven_documentatie): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="@moodCode='EVN'">(meegegeven_documentatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']/@nullFlavor)">(meegegeven_documentatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260'])&lt;=1">(meegegeven_documentatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(meegegeven_documentatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="count(hl7:code)&lt;=1">(meegegeven_documentatie): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']
Item: (meegegeven_documentatie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']"
         id="tmp-34c579e1-aa47-4447-926a-323733bbb83d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(meegegeven_documentatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.260'">(meegegeven_documentatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.260' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(meegegeven_documentatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act/hl7:code
Item: (meegegeven_documentatie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act/hl7:code"
         id="tmp-fadf2196-f117-4320-8d64-c47bfb542067">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(meegegeven_documentatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.260.html"
              test="@nullFlavor or (@code='103313004' and @codeSystem='2.16.840.1.113883.6.96')">(meegegeven_documentatie): de waarde van @code/@codeSystem MOET ''103313004' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>