<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Description: Template: entryRelationship Samenvatting reden in zorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.28">
   <title>samenvatting reden in zorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]
Item: (entryRelationship_Samenvatting_zorgvraag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]"
         id="tmp-df33a72d-e5fb-4fa9-9ed2-d3921cd36bed">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_Samenvatting_zorgvraag): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_Samenvatting_zorgvraag): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation
Item: (entryRelationship_Samenvatting_zorgvraag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation"
         id="tmp-57cdec5d-6e9d-4e2d-9af0-326e1a535a6a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="@classCode='OBS'">(entryRelationship_Samenvatting_zorgvraag): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="@moodCode='EVN'">(entryRelationship_Samenvatting_zorgvraag): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']/@nullFlavor)">(entryRelationship_Samenvatting_zorgvraag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28'])&lt;=1">(entryRelationship_Samenvatting_zorgvraag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_Samenvatting_zorgvraag): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_Samenvatting_zorgvraag): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_Samenvatting_zorgvraag): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_Samenvatting_zorgvraag): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']
Item: (entryRelationship_Samenvatting_zorgvraag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.28']"
         id="tmp-4c562a68-b90b-4260-9717-49727dc8dcaf">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_Samenvatting_zorgvraag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.28'">(entryRelationship_Samenvatting_zorgvraag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.28' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_Samenvatting_zorgvraag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation/hl7:code
Item: (entryRelationship_Samenvatting_zorgvraag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation/hl7:code"
         id="tmp-d738c00c-4579-430c-843c-45d025f75f84">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_Samenvatting_zorgvraag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="@nullFlavor or (@code='406550009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_Samenvatting_zorgvraag): de waarde van @code/@codeSystem MOET ''406550009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation/hl7:value
Item: (entryRelationship_Samenvatting_zorgvraag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation/hl7:value"
         id="tmp-ebda60cb-bc06-4086-8108-3d1fc34d80b1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_Samenvatting_zorgvraag): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.28
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29']]]
Item: (entryRelationship_Samenvatting_zorgvraag)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.28']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29']]]"
         id="tmp-bbf76956-50cc-4028-9a69-6f5c0add81c0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.28.html"
              test="@typeCode='REFR'">(entryRelationship_Samenvatting_zorgvraag): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>