<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Description: Template: entryRelationship CIZ-indicatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.32">
   <title>CIZ-indicatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]
Item: (entryRelationship_CIZ-indicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]"
         id="tmp-3c0d1c1f-0c50-49b3-b985-5ab8a3b17fb9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:observation is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation
Item: (entryRelationship_CIZ-indicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation"
         id="tmp-4f70d946-b89c-4ac5-aece-d91830981296">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="@classCode='OBS'">(entryRelationship_CIZ-indicatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="@moodCode='EVN'">(entryRelationship_CIZ-indicatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'])&lt;=1">(entryRelationship_CIZ-indicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_CIZ-indicatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_CIZ-indicatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']
Item: (entryRelationship_CIZ-indicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']"
         id="tmp-ea68daff-b1b8-4606-934d-f91e66d8cd7e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_CIZ-indicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.32'">(entryRelationship_CIZ-indicatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.32' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_CIZ-indicatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation/hl7:code
Item: (entryRelationship_CIZ-indicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation/hl7:code"
         id="tmp-37e251be-3676-4d70-a9d8-1b23c2faad66">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_CIZ-indicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="@nullFlavor or (@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_CIZ-indicatie): de waarde van @code/@codeSystem MOET ''440612004' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation/hl7:value
Item: (entryRelationship_CIZ-indicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation/hl7:value"
         id="tmp-a8c363a9-7070-4c33-adcd-6ead07c1e051">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.32.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_CIZ-indicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>