<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.5
Description: Template: Leeftijd van kinderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.5">
   <title>leeftijd</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]
Item: (Age)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]"
         id="tmp-f77e8de5-ea42-4da7-b329-9b3a25c6292e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(Age): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="count(hl7:observation)&lt;=1">(Age): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]/hl7:observation
Item: (Age)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]/hl7:observation"
         id="tmp-fab1f72b-7986-4d1d-81e4-e22ac5dfda22">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="@classCode='OBS'">(Age): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="@moodCode='EVN'">(Age): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.5'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.5']/@nullFlavor)">(Age): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.5'])&lt;=1">(Age): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Age): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="count(hl7:code)&lt;=1">(Age): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Age): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="count(hl7:value)&lt;=1">(Age): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.5']
Item: (Age)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.5']"
         id="tmp-881959b0-a7a8-48b6-95ed-4d1d9c0039f6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Age): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.5'">(Age): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.5' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Age): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]/hl7:observation/hl7:code
Item: (Age)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]/hl7:observation/hl7:code"
         id="tmp-26646592-299e-471b-8725-25e8b5a9439b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Age): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="@nullFlavor or (@code='424144002' and @codeSystem='2.16.840.1.113883.6.96')">(Age): de waarde van @code/@codeSystem MOET ''424144002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]/hl7:observation/hl7:value
Item: (Age)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]/hl7:observation/hl7:value"
         id="tmp-211f5fc8-81a5-4844-bc3c-f2fc3676bef5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(Age): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.5.html"
              test="$digitok">(Age): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>