<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.71
Description: Template voor de weergave van verhoogd valrisico aanwezig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.71">
   <title>verhoogd valrisico aanwezig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.71
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]
Item: (entryRelationship_verhoogd_valrisico_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]"
         id="tmp-cad01b41-fe39-463e-9ae5-68182a607890">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.71
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation
Item: (entryRelationship_verhoogd_valrisico_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation"
         id="tmp-3a11aa6e-7b0b-4ca4-9631-ed7463a84a2a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="@classCode='OBS'">(entryRelationship_verhoogd_valrisico_aanwezig): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="@moodCode='EVN'">(entryRelationship_verhoogd_valrisico_aanwezig): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(entryRelationship_verhoogd_valrisico_aanwezig): Als er géén verhoogd valrisico aanwezig is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:value">(entryRelationship_verhoogd_valrisico_aanwezig): Als er géén verhoogd valrisico aanwezig is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']/@nullFlavor)">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71'])&lt;=1">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_verhoogd_valrisico_aanwezig): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.71
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']
Item: (entryRelationship_verhoogd_valrisico_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.71']"
         id="tmp-fb6a8e1e-4646-4acd-bd10-deae12256cc4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_verhoogd_valrisico_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.71'">(entryRelationship_verhoogd_valrisico_aanwezig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.71' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_verhoogd_valrisico_aanwezig): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.71
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation/hl7:code
Item: (entryRelationship_verhoogd_valrisico_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.71']]/hl7:observation/hl7:code"
         id="tmp-8aa2a1df-f335-4157-8b13-fa7adcde1178">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_verhoogd_valrisico_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.71.html"
              test="@nullFlavor or (@code='429557002' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_verhoogd_valrisico_aanwezig): de waarde van @code/@codeSystem MOET ''429557002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>