<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.85
Description: Template voor de weergave van entryRelationship orthothese aanwezig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.85">
   <title>orthothese aanwezig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.85
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]
Item: (entryRelationship_orthothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]"
         id="tmp-e1ae61f1-ead2-4051-b531-5b8bd7040240">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_orthothese_aanwezig): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_orthothese_aanwezig): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.85
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation
Item: (entryRelationship_orthothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation"
         id="tmp-a7c3520c-e1d0-43c9-8686-bdc7e0d55982">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="@classCode='OBS'">(entryRelationship_orthothese_aanwezig): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="@moodCode='EVN'">(entryRelationship_orthothese_aanwezig): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85']/@nullFlavor)">(entryRelationship_orthothese_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85'])&lt;=1">(entryRelationship_orthothese_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_orthothese_aanwezig): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_orthothese_aanwezig): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.85
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85']
Item: (entryRelationship_orthothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85']"
         id="tmp-0b868a41-3dd4-45c5-8842-ba8a95cadcf4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_orthothese_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.85'">(entryRelationship_orthothese_aanwezig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.85' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_orthothese_aanwezig): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.85
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation/hl7:code
Item: (entryRelationship_orthothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation/hl7:code"
         id="tmp-20f76ac1-82b7-4e6f-b6e2-45cfbf332121">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_orthothese_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.85.html"
              test="@nullFlavor or (@code='261345007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_orthothese_aanwezig): de waarde van @code/@codeSystem MOET ''261345007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>